function onBegin()
	makeUnskippable()
	disableMovement()
	disableRetry()
	if not getFlag("collapseduniverse") and not getFlag("getVVVVVVd") then
		say("CC_vvvvvv_lostmytime")
		setFlag("getVVVVVVd",true)
	end
	enableMovement()
	enableRetry()
end

function onEnd()
	enableMovement()
	enableRetry()
end